Subject: bug#12446: port better to POSIX hosts lacking _setjmp

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Sep 2012 12:41:00 +0300

> Date: Sat, 15 Sep 2012 01:46:30 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> On 09/15/2012 01:08 AM, Eli Zaretskii wrote:
> > As you might have expected, it broke the MS-Windows build.
> 
> Sorry, no, as I wrote in my original bug report, I didn't
> think it would break anything in the Microsoft builds.
> I am not an expert on MS-Windows.

Removing the inclusion of setjmp.h from the w32*.c files, like you did
with all the rest, hardly requires any such expertise.

> Since I don't know what the problem was in the MS-Windows build,

I explained the problem in the comments in image.c, right before the
change I made there.